import { defHttp } from '/@/utils/http/axios';

enum Api {
  sendCommand = '/dry/real/sendCommand',
  sendWriteCommand = '/dry/opc/sendWriteCommand',
  listAll = '/dry/dryOpcDevice/listAll'
}
/**
 * 发送命令
 * @param params
 */
export const sendCommand = (params) => defHttp.post({ url: Api.sendCommand, params },{ isTransformResponse: false });

/**
 * 发送OPC写指令
 */

export const sendWriteCommand = (params) => defHttp.post({url: Api.sendWriteCommand, params},{isTransformResponse: false})

/**
 * 查询所有OPC设备
 */

export const listAll = (params) => defHttp.get({url:Api.listAll, params})

